import network
import socket

# Konfiguration
ap = network.WLAN(network.AP_IF) 
ap.active(True) # WLAN bleibt aktiv, bis es mit False deaktiviert wird
ap.config(essid='ESP32', authmode=network.AUTH_WPA2_PSK, password='abcd1234')
print('AP bereit: ', ap.ifconfig())

# Server bereit stellen
s = socket.socket()
s.bind(('', 80))  
s.listen(5)
print('Server bereit...\n')

# Daten holen und senden
while True:
  clientsocket, clientaddr = s.accept()
  print('-------------------------------------------------------------------')
  print('Client connected: ', clientaddr)
  print(str(clientsocket.recv(1000), 'UTF-8')) # zum Testen
  
  text = '<html><body><h1>Hallo Welt vom ESP32-AP</h1></body></html>'
  clientsocket.send(text)
  clientsocket.close()
  




